<template>
  <div>
    <a-select default-value="Semanal" style="width: 200px">
      <a-select-option value="Semanal">Semanal</a-select-option>
      <a-select-option value="Quinzenal">Quinzenal</a-select-option>
      <a-select-option value="Mensal">Mensal</a-select-option>
    </a-select>
    <div class="mt-3">
      <div class="row">
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="card-body pt-1 pb-0">
              <div class="row">
                <div class="col-8">
                  <small>Lorem ipsum</small>
                  <h5>R$ 722,89</h5>
                </div>
                <div class="col-4 d-flex align-items-center justify-content-center">
                  <a-icon type="copy" :style="{ fontSize: '28px' }" />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="card-body pt-1 pb-0">
              <div class="row">
                <div class="col-8">
                  <small>Lorem ipsum</small>
                  <h5>75</h5>
                </div>
                <div class="col-4 d-flex align-items-center justify-content-center">
                  <a-icon type="alert" :style="{ fontSize: '28px' }" />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="card-body pt-1 pb-0">
              <div class="row">
                <div class="col-8">
                  <small>Lorem ipsum</small>
                  <h5>R$ 18,83</h5>
                </div>
                <div class="col-4 d-flex align-items-center justify-content-center">
                  <a-icon type="credit-card" :style="{ fontSize: '28px' }" />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="card-body pt-1 pb-0">
              <div class="row">
                <div class="col-8">
                  <small>Lorem ipsum</small>
                  <h5>2.475</h5>
                </div>
                <div class="col-4 d-flex align-items-center justify-content-center">
                  <a-icon type="team" :style="{ fontSize: '28px' }" />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-4">
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
              <hr />
            </div>
            <div class="card-body">
              <chart-platforms></chart-platforms>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
              <hr />
            </div>
            <div class="card-body">
              <chart-origins></chart-origins>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
              <hr />
            </div>
            <div class="card-body">
              <chart-payments></chart-payments>
            </div>
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
              <hr />
            </div>
            <div class="card-body">
              <chart-delivery></chart-delivery>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-4">
        <div class="col-7">
          <div class="card border-0 shadow-sm" style="background-color: #e6f7ff">
            <div class="p-3">
              <h5 class="text-primary">Lorem ipsum</h5>
              <hr />
            </div>
            <div class="pt-0 pl-2 pr-2 pb-2">
              <chart-top-10-users></chart-top-10-users>
            </div>
          </div>
        </div>
        <div class="col-5">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
              <hr />
            </div>
            <div class="pt-0 pl-2 pr-2 pb-2">
              <chart-buys></chart-buys>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-4 mb-4">
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
            </div>
            <top-10-products :products="products" />
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
            </div>
            <top-10-districts :districts="districts" />
          </div>
        </div>
        <div class="col">
          <div class="card border-0 shadow-sm">
            <div class="p-3">
              <h5>Lorem ipsum</h5>
            </div>
            <top-10-users :users="users" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Api from "@/services/api";
import ChartBuys from "@/components/generic-components/charts/chart-buys";
import ChartDelivery from "@/components/generic-components/charts/chart-delivery";
import ChartOrigins from "@/components/generic-components/charts/chart-origins";
import ChartPayments from "@/components/generic-components/charts/chart-payments";
import ChartPlatforms from "@/components/generic-components/charts/chart-platforms";
import ChartTop10Users from "@/components/generic-components/charts/chart-top-10-users";
import Top10Users from "@/components/page-components/dashboard/top-10-users";
import Top10Districts from "@/components/page-components/dashboard/top-10-districts";
import Top10Products from "@/components/page-components/dashboard/top-10-products";
export default {
  components: {
    ChartBuys,
    ChartDelivery,
    ChartOrigins,
    ChartPayments,
    ChartPlatforms,
    ChartTop10Users,
    Top10Users,
    Top10Districts,
    Top10Products,
  },
  data() {
    return {
      users: [],
      districts: [],
      products: [],
    };
  },
  mounted() {
    this.getTop10Users();
    this.getTop10Districts();
    this.getTop10Products();
  },
  methods: {
    async getTop10Users() {
      try {
        const response = await Api.getTop10Users();
        this.users = response.data.users;
      } catch (error) {
        console.log(error);
      }
    },
    async getTop10Districts() {
      try {
        const response = await Api.getTop10Districts();
        this.districts = response.data.districts;
      } catch (error) {
        console.log(error);
      }
    },
    async getTop10Products() {
      try {
        const response = await Api.getTop10Products();
        this.products = response.data.products;
      } catch (error) {
        console.log(error);
      }
    },
  },
};
</script>
